<?php

use Acms\Services\Facades\Preview;
use Acms\Services\Facades\Login;

class ACMS_GET_Touch_Unlogin extends ACMS_GET
{
    public function get()
    {
        if (Preview::isPreviewMode()) {
            // プレビュー時は非ログイン時として扱うため、ログイン済みでもテンプレートを返す
            return $this->tpl;
        }
        if (!Login::isLoggedIn()) {
            return $this->tpl;
        }
        return '';
    }
}
